Core - Bug # 60343

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Resolved Priority: Must have
Author: Gerhard Rupp Category: Workspaces
Created: 2014-07-15 Assigned To: Helmut Hummel
Updated: 2014-12-16 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity:

Is Regression: No

Sprint Focus:

Subject: Metadata does not recognize workspace

Description

Metadata retrieved from table sys_file_metadata does not recognize workspaces. Therefore users in a draft workspace can’t make

use of metadata. (Metadata of new files in the LIVE-workspace is empty by default of course.)

Subtasks:
Bug # 62986: No workspace preview for sys_file_metadata

Resolved

Related issues:

duplicated by Core - Bug # 62537: Fileadmin meta data in workspace (FAL)

Closed 2014-10-29

Associated revisions

Revision 2a637539 - 2014-11-14 20:32 - Helmut Hummel

[BUGFIX] Make sys_file_metadata publishable

Currently sys_file_metadata records that are edited in a workspace
cannot be published because the workspace module does not know
about ignored root level restrictions and these records are on

root level by definition.

Include the root page when searching for workspace records

and show elements for which root level restriction is ignored.

Resolves: #60343

Releases: 6.2, master

Change-Id: 1b82f5c7f7a67824c5d7d4e7cdaa01c89e0912731
Reviewed-on: http://review.typo3.org/34156

Tested-by: Gerhard Rupp <gerhard.rupp@respon.se>

Reviewed-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Tested-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Revision 8f06c8d6 - 2014-11-14 20:36 - Helmut Hummel

[BUGFIX] Make sys_file_metadata publishable
Currently sys_file_metadata records that are edited in a workspace
cannot be published because the workspace module does not know
about ignored root level restrictions and these records are on

root level by definition.

Include the root page when searching for workspace records

and show elements for which root level restriction is ignored.

Resolves: #60343

Releases: 6.2, master

Change-Id: 1b82f5c7f7a67824c5d7d4e7cdaa01c89e0912731
Reviewed-on: http://review.typo3.org/34183

Reviewed-by: HelImut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Revision 26f6bd7d - 2014-11-17 16:07 - Helmut Hummel

[BUGFIX] Make sys_file_metadata publishable

Currently sys_file_metadata records that are edited in a workspace
cannot be published because the workspace module does not know
about ignored root level restrictions and these records are on

root level by definition.

Include the root page when searching for workspace records

and show elements for which root level restriction is ignored.

Resolves: #60343

Releases: 6.2, master

Change-Id: 143a273661addff4a4e337bb464eb0cc4fd1fb823
Reviewed-on: http://review.typo3.org/34188

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

Reviewed-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Tested-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Revision 7d43291a - 2014-11-17 16:25 - Helmut Hummel

[BUGFIX] Make sys_file_metadata publishable

Currently sys_file_metadata records that are edited in a workspace
cannot be published because the workspace module does not know
about ignored root level restrictions and these records are on

root level by definition.

Include the root page when searching for workspace records

and show elements for which root level restriction is ignored.
Resolves: #60343

Releases: 6.2, master
Change-Id: 143a273661addff4a4e337bb464eb0cc4fd1fb823
Reviewed-on: http:/review.typo3.0rg/34270

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

History

#1 - 2014-11-12 15:03 - Alex Kellner

Hi,

| think | have the same issue here.
I try to describe it a bit more.

If you're using workspaces and have editors, you have to select DB-Mount-Points for the be_groups. You can let the DB-Mount-Points empty for
workspaces but normally you would also select a page. Letting Mount-Points empty for groups had the effect, that the editor have no pages in
pagetree. Selecting root is possible for both records as long as you click on save - after a reload "0" is removed.
This is the main issue. Because records of type sys_file_metadata have pid=0 per default. So the editor has no chance to publish a sys_file_metadata
record in TYPO3
Configuration

- TYPO3 6.2.6

- Draft Workspace

- BE-User (editor) with most available rights (really all tables)
How to reproduce

- Editor change workspace to draft

- Upload an image in filelist to any folder

- Edit the record and save some title, altText, description

- Editor will also create a new content record (type Image) with a relation to the uploaded image before

- The default title of the image should be used (also description and altText)

- The editor (or another editor) is going to publish the changes, but in Workspace Module only the new tt_content element is shown (not the
metadata-record)
Workarround

- A quick proof confirmed: Changing the pid of the metadata-record directly in the database to any existing page (where the publishing-editor has
access to) will help. Now it's possible to publish both records

- So, if  would create an extension with a small TCA configuration to extend sys_file_metadata, | could insert a value to field PID.

BTW: I'm not totally sure but | think ticket #62537 could be related to this one

#2 - 2014-11-14 12:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34156

#3 - 2014-11-14 20:32 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34183

#4 - 2014-11-14 20:35 - Gerrit Code Review
Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34183

#5 - 2014-11-14 21:01 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2a637539a386b6fe012c1cc2a0169c2edc8cObb6.

#6 - 2014-11-14 21:40 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34188

#7 - 2014-11-14 22:01 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/34188

#8 - 2014-11-14 22:12 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34188

#9 - 2014-11-15 15:25 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/34188

#10 - 2014-11-15 16:40 - Oliver Hader
- Parent task set to #58284

#11 - 2014-11-15 16:41 - Oliver Hader
- Assigned To set to Helmut Hummel

#12 - 2014-11-17 16:25 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/34270

#13 - 2014-11-17 16:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04 4/5


http://review.typo3.org/34183
http://review.typo3.org/34188
http://review.typo3.org/34188
http://review.typo3.org/34188
http://review.typo3.org/34188
http://review.typo3.org/34270

Applied in changeset commit:26f6bd7d3693c0d741c08b8ec46af14603fd803c.
